Package wx :: Package lib :: Package agw :: Module piectrl :: Class PiePart

[frames | no frames]

## Type PiePart

    object --+
             |
            PiePart

Method Summary
| ``__init__`(self, value, colour, label)` Default class constructor.
| ``GetColour`(self)` Returns segment colour.
| ``GetLabel`(self)` Returns segment label.
| ``GetValue`(self)` Returns segment absolute value.
| ``SetColour`(self, colour)` Sets segment colour.
| ``SetLabel`(self, label)` Sets segment label.
| ``SetValue`(self, value)` Sets segment absolute value.

Method Details

### __init__(self, value=0, colour=wx.Colour(), label='')
(Constructor)

Default class constructor.

@param value: the pie part value; @param colour: the pie part colour; @param label: the pie part text label.

  Overrides:
    `__builtin__.object.__init__`

### GetColour(self)

Returns segment colour.

### GetLabel(self)

Returns segment label.

### GetValue(self)

Returns segment absolute value.

### SetColour(self, colour)

Sets segment colour.

### SetLabel(self, label)

Sets segment label.

### SetValue(self, value)

Sets segment absolute value.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:53:55 2009 | http://epydoc.sf.net